package com.ruoyi.logistics.domain;

import lombok.Data;

/**
 * 顺丰费用清单标准返回体
 * @author zxf
 * @date 2026-02-03
 */
@Data
public class SfFeeApiResponse {
    private Integer code;          // 200成功，400失败
    private String partnerCode;    // 合作伙伴code
    private String service;        // 服务code
    private String msgData;        // 消息数据


    public static SfFeeApiResponse success() {
        SfFeeApiResponse response = new SfFeeApiResponse();
        response.setCode(200);
        response.setPartnerCode("yourPartnerCode");
        response.setService("");
        response.setMsgData("");
        return response;
    }

    // 快速创建失败响应
    public static SfFeeApiResponse error(String errorMsg) {
        SfFeeApiResponse response = new SfFeeApiResponse();
        response.setCode(400);
        response.setPartnerCode("");
        response.setService("");
        response.setMsgData(errorMsg);
        return response;
    }
}
